Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# WalkingEngineSelector Class Reference

A module selector for WalkingEngine modules. More...

`#include <WalkingEngineSelector.h>`

Inheritance diagram for WalkingEngineSelector:

[legend]
Collaboration diagram for WalkingEngineSelector:

[legend]
List of all members.

## Public Member Functions
| WalkingEngineSelector (ModuleHandler &handler, SolutionRequest::ModuleID moduleID, const WalkingEngineInterfaces &interfaces, InvKinWalkingEngine *pInvKinWalkingEngine)
| Constructor.
virtual Module * | createSolution (SolutionRequest::ModuleSolutionID id)
| Is called on start and when the selected solution changes to create a specific solution.
bool | executeParameterized (JointData &jointData, const WalkRequest &walkRequest, double positionInWalkingCycle)
| Executes the module.
virtual bool | handleMessage (InMessage &message)
| Handles a message.
## Public Attributes
InvKinWalkingEngine * | pInvKinWalkingEngine
| The only used InvKinWalkingEngine.

## Detailed Description

A module selector for WalkingEngine modules.

Definition at line 23 of file WalkingEngineSelector.h.

## Constructor & Destructor Documentation

WalkingEngineSelector::WalkingEngineSelector | ( | ModuleHandler & | handler,
|  | SolutionRequest::ModuleID | moduleID,
|  | const WalkingEngineInterfaces & | interfaces,
|  | InvKinWalkingEngine * | pInvKinWalkingEngine
| ) | `[inline]`

  | Constructor. Parameters:
  handler | The module handler of the process.
  moduleID | The module id of the walking engine.
  interfaces | The paramters of the MotionControl module.
  pInvKinWalkingEngine | Pointer to an InvKinWalkingEngine to be used to avoid having different engines for different parameter sets.
Definition at line 33 of file WalkingEngineSelector.h. References ModuleHandler::setModuleSelector().

Here is the call graph for this function:

## Member Function Documentation

virtual Module* WalkingEngineSelector::createSolution | ( | SolutionRequest::ModuleSolutionID | id | ) | `[inline, virtual]`

  | Is called on start and when the selected solution changes to create a specific solution. Parameters:
  id | The id of the solution to create
Returns: The created solution or 0 Implements ModuleSelector. Definition at line 50 of file WalkingEngineSelector.h.

bool WalkingEngineSelector::executeParameterized | ( | JointData & | jointData,
|  | const WalkRequest & | walkRequest,
|  | double | positionInWalkingCycle
| ) | `[inline, virtual]`

| Executes the module. Implements WalkingEngine. Definition at line 78 of file WalkingEngineSelector.h. References JointData::data.

virtual bool WalkingEngineSelector::handleMessage | ( | InMessage & | message | ) | `[inline, virtual]`

| Handles a message. Reimplemented from ModuleSelector. Definition at line 94 of file WalkingEngineSelector.h.

## Member Data Documentation

InvKinWalkingEngine* WalkingEngineSelector::pInvKinWalkingEngine

| The only used InvKinWalkingEngine. Definition at line 102 of file WalkingEngineSelector.h.

The documentation for this class was generated from the following file:

- Modules/WalkingEngine/WalkingEngineSelector.h